export class Review {
  id: number | undefined;
  resource: string | undefined;
  users: string[] | undefined;
  status: string[] | undefined;
  comments: string[] | undefined;
  requestedBy: string | undefined;
  link: string | undefined;
  badgeRewarded: boolean | undefined;
  resourceID: string | undefined;

  constructor(resource: string, users: string[], status: string[], comments: string[]) {
    this.resource = resource;
    this.users = users;
    this.status = status;
    this.comments = comments;
  }
}

export class ReviewStatisticsDTO {
  reviewInProgress = 0;
  reviewImprovementRequested = 0;
  reviewImproved = 0;
  reviewCompleted = 0;
  reviewRequested = 0;
  unknownStats = 0;
  reviewsAssignedToReviewer = 0;
  reviewImprovedForReviewer = 0;
  reviewRejectedByReviewer = 0;
  reviewInProgressByReviewer = 0;
  reviewImprovementRequestedByReviewer = 0;
  reviewCompletedByReviewer = 0;
  unkownStatsByReviewer = 0;
  badgesRewarded = 0;
}
